Update an activity
curl --request PUT \
--url https://api.metal.ai/v1/activities/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"subject": "<string>",
"type": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"isPrivate": true
}
'import requests
url = "https://api.metal.ai/v1/activities/{id}"
payload = {
"subject": "<string>",
"type": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"isPrivate": True
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
subject: '<string>',
type: '<string>',
startedAt: '2023-11-07T05:31:56Z',
endedAt: '2023-11-07T05:31:56Z',
participants: [{id: '<string>', type: '<string>'}],
isPrivate: true
})
};
fetch('https://api.metal.ai/v1/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/activities/{id}"
payload := strings.NewReader("{\n \"subject\": \"<string>\",\n \"type\": \"<string>\",\n \"startedAt\": \"2023-11-07T05:31:56Z\",\n \"endedAt\": \"2023-11-07T05:31:56Z\",\n \"participants\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"isPrivate\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"subject": "Intro call with management",
"type": "Meeting",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"deals": [
"<string>"
],
"relatedResources": [
{
"id": "<string>",
"type": "<string>"
}
],
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"isPrivate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Update an activity
Updates an existing activity.
PUT
/
v1
/
activities
/
{id}
Update an activity
curl --request PUT \
--url https://api.metal.ai/v1/activities/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"subject": "<string>",
"type": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"isPrivate": true
}
'import requests
url = "https://api.metal.ai/v1/activities/{id}"
payload = {
"subject": "<string>",
"type": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"isPrivate": True
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
subject: '<string>',
type: '<string>',
startedAt: '2023-11-07T05:31:56Z',
endedAt: '2023-11-07T05:31:56Z',
participants: [{id: '<string>', type: '<string>'}],
isPrivate: true
})
};
fetch('https://api.metal.ai/v1/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/activities/{id}"
payload := strings.NewReader("{\n \"subject\": \"<string>\",\n \"type\": \"<string>\",\n \"startedAt\": \"2023-11-07T05:31:56Z\",\n \"endedAt\": \"2023-11-07T05:31:56Z\",\n \"participants\": [\n {\n \"id\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"isPrivate\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"subject": "Intro call with management",
"type": "Meeting",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"deals": [
"<string>"
],
"relatedResources": [
{
"id": "<string>",
"type": "<string>"
}
],
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"isPrivate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The activity id.
Body
application/json
Response
Updates an existing activity.
Show child attributes
Show child attributes
⌘I

